<template>
  <div clas="col-12">
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouvelle Tache</button>
    </router-link>
    <router-link :to="{path:'../../'}" append>
      <button class="btn btn-secondary float-right but">Retour</button>
    </router-link>
    <div class="clearfix"></div>
    <TasksList v-bind:tasks="tasks" v-on:update="update" v-bind:canEdit="true" v-on:edit="edit"></TasksList>
  </div>
</template>

<script>
import TasksList from '@/components/shared/Tasks.List.vue';
import { editProject } from '@/api/projects.service.js'
export default {
  computed: {
    project() {
      return this.$store.getters.getCurrentProject;
    },
    sprint() {
      if (this.project.sprints && this.project.sprints[this.$route.params.sprintId]) {
        return this.project.sprints[this.$route.params.sprintId];
      }
      return new Array();
    },
    userStory() {
      if (this.sprint && this.sprint.userStories && this.sprint.userStories[this.$route.params.userStoryId]) {
        return this.sprint.userStories[this.$route.params.userStoryId];
      }
      return new Array();
    },
    tasks() {
      if (this.userStory && this.userStory.tasks) {
        return this.userStory.tasks;
      }
      return new Array();
    }
  },
  methods: {
    update(tasks) {
      delete this.userStory.tasks;
      this.userStory.tasks = new Array();
      Object.assign(this.userStory.tasks,tasks);
      let id = this.project._id;
      editProject(id, this.project);
      this.$store.commit('setCurrentProject',this.project);
    },
    edit(index) {
      this.$router.push({ path: index + "/edit", append: true });
    }
  },
  components: {
    TasksList
  }
}
</script>

<style scoped>
.but {
  margin-bottom: 50px;
  margin-left: 8px;
  margin-right: 8px;
}
</style>
